Subject: [Fot] Rear axle rebuild

From: Todd Redmond <[email-masked]>
Date: Thu, 13 Jun 2013 17:17:10 -0400 (EDT)

FoT,

Anyone in, or know of anyone in, Northern NJ who has experience in 
rebuilding the rear axle for the TR3?  I'll deliver.
If not, who might I ship this to for the rebuild.  It is a southwick 
axle. The carrier has been removed from another axle. (Thanks Greg and 
Allison Blake for the rope trick)

I have all the parts, including bearings, ring and pinon but no 
knowledge.  I think this one is better left to experience.

Thanks
Todd
_______________________________________________
[email-masked]

http://www.fot-racing.com

Archive: http://www.team.net/archive